Bug 13040 - Define some sort of mutation listeners
Summary: Define some sort of mutation listeners
Status: RESOLVED FIXED
Alias: None
Product: WebAppsWG
Classification: Unclassified
Component: DOM (show other bugs)
Version: unspecified
Hardware: All All
: P2 normal
Target Milestone: ---
Assignee: Anne
QA Contact: public-webapps-bugzilla
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-24 12:13 UTC by Ms2ger
Modified: 2012-02-16 22:03 UTC (History)
6 users (show)

See Also:


Attachments
Proposed spec text for mutation observers (30.11 KB, patch)
2012-02-08 21:48 UTC, Adam Klein
Details | Diff
Draft spec text updated with dom- prefixes (30.42 KB, patch)
2012-02-16 17:09 UTC, Adam Klein
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ms2ger 2011-06-24 12:13:16 UTC

    
Comment 1 Olli Pettay 2011-06-28 11:06:54 UTC
What is this about?
Comment 3 Anne 2011-06-28 12:17:36 UTC
Defining that proposal in DOM Core, and the original mutation events if they cannot be removed from browsers.
Comment 4 Adam Klein 2012-02-08 21:48:42 UTC
Created attachment 1075 [details]
Proposed spec text for mutation observers

Here's the text I've put together so far (if you want to apply this locally, it's against changeset 934:334b4c11b92f).

Major thing missing is any discussion of delivery; it seems likely to me that'll have to go in another spec. But there's plenty of minor things missing too. For now, I'd mostly like to see if I'm going in the right direction (this is my first time working on a web spec).

Besides the overhaul of of #mutation-observers, interesting anchors to check out are:

#concept-node-insert
#concept-node-remove
#dom-element-setattribute
#concept-element-attributes-append
#concept-element-attributes-remove
#concept-cd-replace
Comment 5 Anne 2012-02-13 15:41:13 UTC
MutationObserver-observe should become dom-MutationObserver-observe etc. We prefix IDL members with dom-. The same goes for dictionaries, i.e. dom-MutationObserverInit-*. I have not read it in detail, but it looks good.
Comment 6 Anne 2012-02-16 14:25:09 UTC
Adam, can you provide an updated patch?
Comment 7 Adam Klein 2012-02-16 17:09:22 UTC
Created attachment 1080 [details]
Draft spec text updated with dom- prefixes

Updated with dom- prefixes. I suspect there are other style issues like that lurking in the patch as well. Note that this is still against changeset 934, so if things in mutation algorithms or attributes have changed since then this may not apply cleanly.
Comment 8 Anne 2012-02-16 22:03:02 UTC
I checked this in, along with several smaller follow up commits by myself to clean up a few things. I will probably take another look at the new text tomorrow.

For significant issues I recommend people file new bugs.

The patch:

http://dvcs.w3.org/hg/domcore/rev/f483bcdf3dba

After that:

http://dvcs.w3.org/hg/domcore/rev/a7a596e99a70
http://dvcs.w3.org/hg/domcore/rev/169bb50139ba
http://dvcs.w3.org/hg/domcore/rev/c2ce3a0a4d47

Marking this fixed. Thanks Adam!